[mythtv-users] New spdif setup suggestions

Allen Edwards allen.p.edwards at gmail.com
Fri Feb 13 01:39:11 UTC 2009

On Thu, Feb 12, 2009 at 4:55 PM, Phil Wild <philwild at gmail.com> wrote:
>> Can someone who has gotten HDMI audio to work help out here with the version
>> numbers required as a minimum on alsa and nvidia drivers to get HDMI audio
>> working?
>> Specifically, I just upgraded alsa and have version 1.0.16.  Is this good
>> enough for HDMI?
>> Why did anyone have to upgrade the nvidia driver?
>> I am trying to put together a wiki for digital sound that works and I don't
>> have HDMI so there is a limit on what I can test.
>> Thanks for the help.
>> Allen
> I have an Asus M3N78-EM motherboard with onboard HDMI and the nvidia
> 8300 chipset.
> The ASLA version 1.0.17 that comes with mythbuntu 8.10 is not recent
> enough. I only have experience with mythbuntu so can not comment on
> other distributions. I was able to get audio over hdmi working by
> upgrading to 1.0.18a or 1.0.19.
> The easiest method of upgrading your alsa configuration under
> mythbuntu 8.10 is with the script available in this thread.
> http://ubuntuforums.org/showthread.php?p=6589810#post6589810
> Download the script AlsaUpgrade-1.0.x-rev-1.16.tar
> extract the script from the tar file and execute it like so...
> sudo ./AlsaUpgrade-1.0.x-rev-1.16.sh -di
> It will take about 15 minutes to complete and afterwards everything works....
> This will upgrade ALSA to version 1.0.19
> I did not need to upgrade any nvidia components to get this working.
> Phil

Thanks Phil,

I put your process into the wiki.  It seems very complete.



More information about the mythtv-users mailing list